## GstBinFilter GstBinFilter — A customizable bin filter |

## Synopsis

    #include <gst/filters/gst-bin-filter.h>

                        GstBinFilter;
    GstBinFilter *      gst_bin_filter_new                  (const gchar *description);

## Object Hierarchy

      GObject
       +----GstFilter
             +----GstBinFilter

## Properties

      "description"              gchar*                : Read / Write

## Description

This filter will let you insert any kind of custom bin inside your pipeline or in the middle of your GstFilterManager.

## Details

### GstBinFilter

    typedef struct _GstBinFilter GstBinFilter;

A bin filter

### gst_bin_filter_new ()

    GstBinFilter *      gst_bin_filter_new                  (const gchar *description);

Creates a new bin filter. The bin filter will insert a custom pipeline as defined by the bin `description` in the pipeline whenever the filter gets applied

`description` : | The bin description to apply
Returns : | A new GstBinFilter

## Property Details

### The `"description"` property

      "description"              gchar*                : Read / Write

The bin description to be added to the pipeline when the filter is applied

Default value: NULL